3 Replies Latest reply: Mar 11, 2013 3:28 PM by sim845
sim845 Level 1 Level 1 (0 points)

i am running os x 10.5.8 but when I try to search for a software update, it tells me my software is up to date. when I try to directly download the 10.6, it tells me I need 10.6 in order to download it....I'm confused.

MacBook Air, Mac OS X (10.6)